> For the complete documentation index, see [llms.txt](https://documentation.taskmaverick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://documentation.taskmaverick.com/developers/locations.md).

# Locations

## GET /dictionaries/locations/{countryCode}/states

> Gets states.

```json
{"openapi":"3.0.1","info":{"title":"TaskMaverick API","version":"v1"},"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.taskmaverick-stage.com/connect/authorize","tokenUrl":"https://auth.taskmaverick-stage.com/connect/token","scopes":{"api":"TaskMaverick API"}}}}},"schemas":{"TaskMaverick.Dictionaries.Queries.Responses.StateResponse":{"type":"object","properties":{"id":{"type":"string","description":"Identifier.","format":"uuid"},"name":{"type":"string","description":"Name.","nullable":true},"abbreviation":{"type":"string","description":"State abbreviation.","nullable":true},"counties":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.CountyResponse"},"description":"State counties.","nullable":true}},"additionalProperties":false,"description":"State response model."},"TaskMaverick.Dictionaries.Queries.Responses.CountyResponse":{"type":"object","properties":{"id":{"type":"string","description":"Identifier.","format":"uuid"},"name":{"type":"string","description":"Name.","nullable":true},"fipsCode":{"type":"string","description":"County FIPS code.","nullable":true},"cities":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.CityResponse"},"description":"County cities.","nullable":true}},"additionalProperties":false,"description":"County response model."},"TaskMaverick.Dictionaries.Queries.Responses.CityResponse":{"type":"object","properties":{"id":{"type":"string","description":"Identifier.","format":"uuid"},"name":{"type":"string","description":"Name.","nullable":true},"timezoneId":{"type":"string","description":"Timezone id.","nullable":true}},"additionalProperties":false,"description":"City response model."}}},"paths":{"/dictionaries/locations/{countryCode}/states":{"get":{"tags":["Locations"],"summary":"Gets states.","parameters":[{"name":"countryCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"depth","in":"query","description":"Value specifying the depth of States response details.","schema":{"enum":["State","County","City"],"type":"integer","description":"Value specifying the depth of States response details.","format":"int32","default":0}},{"in":"header","name":"x-api-key","required":true,"description":"The API key required to access endpoints. It can be retrieved from the Taskmaverick web portal.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.StateResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.StateResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.StateResponse"}}}}}}}}}}
```

## GET /dictionaries/locations/{countryCode}/states/{stateId}/counties

> Gets counties by state id.

```json
{"openapi":"3.0.1","info":{"title":"TaskMaverick API","version":"v1"},"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.taskmaverick-stage.com/connect/authorize","tokenUrl":"https://auth.taskmaverick-stage.com/connect/token","scopes":{"api":"TaskMaverick API"}}}}},"schemas":{"TaskMaverick.Dictionaries.Queries.Responses.CountyResponse":{"type":"object","properties":{"id":{"type":"string","description":"Identifier.","format":"uuid"},"name":{"type":"string","description":"Name.","nullable":true},"fipsCode":{"type":"string","description":"County FIPS code.","nullable":true},"cities":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.CityResponse"},"description":"County cities.","nullable":true}},"additionalProperties":false,"description":"County response model."},"TaskMaverick.Dictionaries.Queries.Responses.CityResponse":{"type":"object","properties":{"id":{"type":"string","description":"Identifier.","format":"uuid"},"name":{"type":"string","description":"Name.","nullable":true},"timezoneId":{"type":"string","description":"Timezone id.","nullable":true}},"additionalProperties":false,"description":"City response model."}}},"paths":{"/dictionaries/locations/{countryCode}/states/{stateId}/counties":{"get":{"tags":["Locations"],"summary":"Gets counties by state id.","parameters":[{"name":"countryCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"stateId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"header","name":"x-api-key","required":true,"description":"The API key required to access endpoints. It can be retrieved from the Taskmaverick web portal.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.CountyResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.CountyResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.CountyResponse"}}}}}}}}}}
```

## GET /dictionaries/locations/{countryCode}/states/{stateId}/counties/{countyId}/cities

> Gets cities by state id and county id.

```json
{"openapi":"3.0.1","info":{"title":"TaskMaverick API","version":"v1"},"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.taskmaverick-stage.com/connect/authorize","tokenUrl":"https://auth.taskmaverick-stage.com/connect/token","scopes":{"api":"TaskMaverick API"}}}}},"schemas":{"TaskMaverick.Dictionaries.Queries.Responses.CityResponse":{"type":"object","properties":{"id":{"type":"string","description":"Identifier.","format":"uuid"},"name":{"type":"string","description":"Name.","nullable":true},"timezoneId":{"type":"string","description":"Timezone id.","nullable":true}},"additionalProperties":false,"description":"City response model."}}},"paths":{"/dictionaries/locations/{countryCode}/states/{stateId}/counties/{countyId}/cities":{"get":{"tags":["Locations"],"summary":"Gets cities by state id and county id.","parameters":[{"name":"countryCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"stateId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"countyId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"header","name":"x-api-key","required":true,"description":"The API key required to access endpoints. It can be retrieved from the Taskmaverick web portal.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.CityResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.CityResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskMaverick.Dictionaries.Queries.Responses.CityResponse"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://documentation.taskmaverick.com/developers/locations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
